Bug 675150 - GWT: Alert definition : Conditions : metrics not sorted
GWT: Alert definition : Conditions : metrics not sorted
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 08:42 EST by Heiko W. Rupp
Modified: 2013-09-01 05:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 05:57:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot showing the non-sorted metrics (50.58 KB, image/png)
2011-02-04 08:42 EST, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2011-02-04 08:42:53 EST
Created attachment 477010 [details]
Screenshot showing the non-sorted metrics

Metrics are not sorted in the conditions dialog, which makes it hard(er) to find the right one.
Comment 1 Jirka Kremser 2012-05-28 11:44:07 EDT
This happens only in webkit-based browsers (Chrome, Chromium, Safari, etc.). When using FF, the metrics are sorted. Unfortunately, adding safari to ${gwt.userAgent} when building coregui, does not solve this problem.
Comment 2 Jirka Kremser 2012-06-25 12:26:44 EDT
Should be ok in FF.

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=1c7723b

git log master
time:    Mon Jun 25 18:24:21 2012 +0200
commit:  1c7723b1fab7b3e0c16d94804014f70f3976960d
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 675150 - GWT: Alert definition : Conditions : metrics not sorted] Added new a class for serted version of the SelectItem
Comment 3 Jeeva Kandasamy 2012-09-11 07:06:57 EDT
Metrics are sorted in Firefox ESR 10.0.6

Version:
JBoss Operations Network
Version: 3.1.1.CR2
Build Number: 779662a:4c4ed8a
GWT Version: 2.4.0
SmartGWT Version: 3.0
Comment 4 Charles Crouch 2012-11-28 13:07:39 EST
Pushing this back to ONQA since the original issue, according to Comment1 was for webkit based browsers. So testing with Firefox is not sufficient.
Comment 5 Charles Crouch 2012-11-28 13:09:37 EST
Setting target release correctly.
Comment 6 Heiko W. Rupp 2013-09-01 05:57:53 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.